6.0.0-git
2019-03-19

[#11997] Following linked attachment download link produces error
Summary Following linked attachment download link produces error
Queue IMP
Queue Version 6.0.3
Type Bug
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester is-00 (at) hfg-karlsruhe (dot) de
Created 2013-01-27 (2242 days ago)
Due
Updated 2013-01-29 (2240 days ago)
Assigned 2013-01-28 (2241 days ago)
Resolved 2013-01-29 (2240 days ago)
Milestone
Patch No

History
2013-01-29 01:02:04 Michael Slusarz Comment #9
Assigned to Michael Slusarz
State ⇒ Resolved
Reply to this comment
Now that you mentioned a possible relation between the occuring of 
the bug and the personal name: My default Identity was empty when 
this bug occured. Since I added the name (with non-ASCII characters) 
a couple of minutes ago, this error does not happen any more. N.B.: 
I didn't apply your patch yet.
This shouldn't matter, because a default From address based on the 
user's Horde authentication credentials would be created if no default 
identity is set.

However, given the new handling in place to capture errors, and the 
fact that your personal installation now appears to be fixed and you 
likely will not be able to provide any further error information, 
leads me to close this ticket.  Any problems with mail notification 
delivery in the future can be handled in a separate ticket, and will 
have the luxury of having more detailed logging information due to the 
recent changes.
2013-01-28 20:11:25 is-00 (at) hfg-karlsruhe (dot) de Comment #8 Reply to this comment

[Show Quoted Text - 9 lines]
Now that you mentioned a possible relation between the occuring of the 
bug and the personal name: My default Identity was empty when this bug 
occured. Since I added the name (with non-ASCII characters) a couple 
of minutes ago, this error does not happen any more. N.B.: I didn't 
apply your patch yet.



2013-01-28 19:59:29 Michael Slusarz Comment #7 Reply to this comment
Don't know, if it's still relevant (after all, you alrady comitted 
changes), but no: Sender of linked attachements has no non-ASCII in 
Personal Identity.
It is still relevant since, as I mentioned, according to your report 
the confirmation message will never be sent out (although it is now 
possible to download the attachment without error).  But this ticket 
can't be closed unless/until it can be confirmed that the confirmation 
message is being sent correctly.

This error should now be caught and a longer/more details error 
message will now be printed to the Horde debug log.  So look there for 
further information.
2013-01-28 19:50:47 is-00 (at) hfg-karlsruhe (dot) de Comment #6 Reply to this comment
Does the user who's attachment is attempted to be downloaded contain 
a non-ASCII character in their personal name (identity)?
Don't know, if it's still relevant (after all, you alrady comitted 
changes), but no: Sender of linked attachements has no non-ASCII in 
Personal Identity.

Thanks for your prompt attention.
2013-01-28 19:43:35 Michael Slusarz Comment #5 Reply to this comment
commit dfd72ded5877647720fc160757f08a939d13e863
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Mon Jan 28 12:41:55 2013 -0700

     Bug #11997: Catch mail sending exception when downloading linked 
attachment
This will catch and discard any notification sending errors, so the 
attachment can always be downloaded.  But this doesn't fix the issue 
that the download notification itself is not sent.
2013-01-28 19:42:34 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (master):

commit dfd72ded5877647720fc160757f08a939d13e863
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Mon Jan 28 12:41:55 2013 -0700

     Bug #11997: Catch mail sending exception when downloading linked 
attachment

  imp/attachment.php |    2 ++
  1 files changed, 2 insertions(+), 0 deletions(-)

http://git.horde.org/horde-git/-/commit/dfd72ded5877647720fc160757f08a939d13e863
2013-01-28 19:42:28 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (master):

commit 666a3229556d7d153587e96697d44c1388c90b2f
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Mon Jan 28 12:40:37 2013 -0700

     Not needed - this is already done for us in Horde_Core_Factory_Identity

     Bug #11997

  imp/attachment.php |    7 -------
  1 files changed, 0 insertions(+), 7 deletions(-)

http://git.horde.org/horde-git/-/commit/666a3229556d7d153587e96697d44c1388c90b2f
2013-01-28 19:37:45 Michael Slusarz Comment #2
State ⇒ Feedback
Priority ⇒ 1. Low
Reply to this comment
Does the user who's attachment is attempted to be downloaded contain a 
non-ASCII character in their personal name (identity)?
2013-01-27 18:50:57 is-00 (at) hfg-karlsruhe (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ Following linked attachment download link produces error
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
If the recipient tries to dowload the linked attachment, this error is 
displayed

A fatal error has occurred
No From: address has been provided

However, clicking a second time works.

Best
Ionel

Saved Queries